Package org.zkoss.stateless.sul

## Interface IVlayout<I extends IAnyGroup>

- All Superinterfaces:
    `IAnyGroup<IVlayout<I>>`, `IChildable<IVlayout<I>,​I>`, `IComponent<IVlayout<I>>`, `IHtmlBasedComponent<IVlayout<I>>`, `ILayout<IVlayout<I>>`, `IXulElement<IVlayout<I>>`

      public interface IVlayout<I extends IAnyGroup>
      extends ILayout<IVlayout<I>>, IChildable<IVlayout<I>,​I>, IAnyGroup<IVlayout<I>>

  Immutable `Vlayout` component

  The vlayout component is a simple vertical oriented layout. Added components will be placed underneath each other in a column.

  Author:
    katherine
  See Also:
    `Vlayout`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IVlayout.Builder<I extends IAnyGroup>` | Builds instances of type `IVlayout`.
    `static class` | `IVlayout.Updater` | Builds an updater of type `IVlayout` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IVlayout<IAnyGroup>` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `static <I extends IAnyGroup> IVlayout<I>` | `of​(I... children)` | Returns the instance with the given any group children.
    `static <I extends IAnyGroup> IVlayout<I>` | `of​(java.lang.Iterable<? extends I> children)` | Returns the instance with the given any group children.
    `static <I extends IAnyGroup> IVlayout<I>` | `ofHflex​(java.lang.String hflex)` | Returns the instance with the given hflex.
    `static <I extends IAnyGroup> IVlayout<I>` | `ofId​(java.lang.String id)` | Returns the instance with the given id.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IChildable

      `getChildren, withChildren, withChildren`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.ILayout

      `getSpacing, withSpacing`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final IVlayout<IAnyGroup> DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zul.box.Vlayout"`

      Specified by:
        `getWidgetClass` in interface `IComponent<I extends IAnyGroup>`

    - #### ofId

          static <I extends IAnyGroup> IVlayout<I> ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component

    - #### of

          static <I extends IAnyGroup> IVlayout<I> of​(java.lang.Iterable<? extends I> children)

      Returns the instance with the given any group children.
      Parameters:
        `children` - The children belong to any group
      See Also:
        `IAnyGroup`

    - #### of

          static <I extends IAnyGroup> IVlayout<I> of​(I... children)

      Returns the instance with the given any group children.
      Parameters:
        `children` - The children belong to any group
      See Also:
        `IAnyGroup`

    - #### ofHflex

          static <I extends IAnyGroup> IVlayout<I> ofHflex​(java.lang.String hflex)

      Returns the instance with the given hflex.
      Parameters:
        `hflex` - The horizontal flex hint.